---
title: Date.prototype.setFullYear()
slug: Web/JavaScript/Reference/Global_Objects/Date/setFullYear
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>setFullYear()</code></strong> method sets the full year for a specified date according to local time. Returns new timestamp.</p>

<div>{{EmbedInteractiveExample("pages/js/date-setfullyear.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setFullYear(<var>yearValue</var>[, <var>monthValue</var>[, <var>dateValue</var>]])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>yearValue</var></code></dt>
 <dd>An integer specifying the numeric value of the year, for example, 1995.</dd>
 <dt><code><var>monthValue</var></code></dt>
 <dd>Optional. An integer between 0 and 11 representing the months January through December.</dd>
 <dt><code><var>dateValue</var></code></dt>
 <dd>Optional. An integer between 1 and 31 representing the day of the month. If you specify the <code><var>dateValue</var></code> parameter, you must also specify the <code><var>monthValue</var></code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date.</p>

<h2 id="Description">Description</h2>

<p>If you do not specify the <code><var>monthValue</var></code> and <code><var>dateValue</var></code> parameters, the values returned from the {{jsxref("Date.prototype.getMonth()", "getMonth()")}} and {{jsxref("Date.prototype.getDate()", "getDate()")}} methods are used.</p>

<p>If a parameter you specify is outside of the expected range, <code>setFullYear()</code> attempts to update the other parameters and the date information in the {{jsxref("Date")}} object accordingly. For example, if you specify 15 for <code><var>monthValue</var></code>, the year is incremented by 1 (<code><var>yearValue</var> + 1</code>), and 3 is used for the month.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setFullYear">Using setFullYear()</h3>

<pre class="brush: js notranslate">var theBigDay = new Date();
theBigDay.setFullYear(1997);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.setfullyear', 'Date.prototype.setFullYear')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setFullYear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.setUTCFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.setYear()")}}</li>
</ul>
